# 作用是用来装载操作系统，也就是
# 但是这个汇编文件是如何获取到linker.ld中声明的_start的呢
# linker.ld 和 该文件的关系是什么
# 我们在 linker.ld 中将程序入口设置为了 _start，因此在这里我们将填充这个标签
    .section .text.entry
    .globl _start
_start:
# 写入栈空间
    la sp, boot_stack_top
# 调用操作系统主函数
    call rust_main
    # 回忆：bss 段是 ELF 文件中只记录长度，而全部初始化为 0 的一段内存空间
    # 这里声明字段 .bss.stack 作为操作系统启动时的栈
    .section .bss.stack
    .global boot_stack
boot_stack:
    # 16K 启动栈大小
    .space 4096 * 16
    .global boot_stack_top
boot_stack_top:
    # 栈结尾