/* 作用是指导编译器设置内存布局，设置各个段的位置 */
/* 目标架构 */
OUTPUT_ARCH(riscv)
/* 执行入口，因此编译器会将_start这个函数作为程序的入口，而_start会调用rustmain，从而启动操作系统*/
ENTRY(_start)

/* 数据存放起始地址 */
BASE_ADDRESS = 0x80200000;

SECTIONS
{
    /* . 表示当前地址（location counter） */
    . = BASE_ADDRESS;

    /* start 符号表示全部的开始位置 */
    kernel_start = .;
    text_start = .;
    .text : {
        /* 该段是在entry.asm中声明的 */
        *(.text.entry)
        *(.text .text.*)
    }
    rodata_start = .;
    .rodata : {
        *(.rodata .rodata.*)
    }
    data_start = .;
    .data : {
        *(.data .data.*)
    }
    bss_start = .;
    .bss : {
        *(.sbss .bss .bss.*)
    }
    kernel_end = .;
}